Update an AI catalog model
import requests
url = "https://platform.ankra.app/api/v1/org/ai-settings/models/{model_id}"
payload = {
"key": "<string>",
"display_name": "<string>",
"model_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', display_name: '<string>', model_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/ai-settings/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-settings/models/{model_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"display_name": "<string>",
"model_id": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"provider": "<string>",
"endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "<string>",
"tier": "<string>",
"context_window_tokens": 123,
"max_output_tokens": 123,
"supports_tools": true,
"supports_thinking": true,
"supports_images": true,
"is_enabled": true,
"sort_order": 123,
"is_default": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Settings
Update an AI catalog model
Replaces a catalog entry, addressed by its row UUID or its catalog key (a built-in default has no row until it is first changed). Requires the ai.manage permission.
PUT
/
api
/
v1
/
org
/
ai-settings
/
models
/
{model_id}
Update an AI catalog model
import requests
url = "https://platform.ankra.app/api/v1/org/ai-settings/models/{model_id}"
payload = {
"key": "<string>",
"display_name": "<string>",
"model_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', display_name: '<string>', model_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/ai-settings/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-settings/models/{model_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"display_name": "<string>",
"model_id": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"provider": "<string>",
"endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "<string>",
"tier": "<string>",
"context_window_tokens": 123,
"max_output_tokens": 123,
"supports_tools": true,
"supports_thinking": true,
"supports_images": true,
"is_enabled": true,
"sort_order": 123,
"is_default": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The model's row UUID or its catalog key.
Body
application/json
A custom endpoint that serves the model; empty or null for the Ankra provider.
0 uses the default.
0 uses the default.
Response
The updated model
One entry of the organisation's AI model catalog.
Row id; null for a built-in default that has not been materialised.
ankra, or openai_compatible when the model is served by a custom endpoint.